<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionTurnOffHeadtorch.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d39/_action_turn_off_headtorch_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionTurnOffHeadtorch.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d39/_action_turn_off_headtorch_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d0d/class_action_turn_off_headtorch.html">ActionTurnOffHeadtorch</a>: <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#a0d55eae0c5443ccde6b8113ef0e9819a">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#a0d55eae0c5443ccde6b8113ef0e9819a">ActionTurnOffHeadtorch</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    }</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#af936db1960a4c0c5bb2168427294b158">    7</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#af936db1960a4c0c5bb2168427294b158">IsInstant</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#a1188419167f21e4a5bff21d25040e22a">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#a1188419167f21e4a5bff21d25040e22a">HasTarget</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#a79b853fede0ed983f5790ddd58fa9fc5">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#a79b853fede0ed983f5790ddd58fa9fc5">UseMainItem</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#afb7413562d1462a74b9edadf27086074">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#afb7413562d1462a74b9edadf27086074">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {   </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a>(<a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#a880b9baaffe6c4220db1a320a4f38b71">   28</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#a880b9baaffe6c4220db1a320a4f38b71">GetInputType</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d0/df8/class_toggle_lights_action_input.html">ToggleLightsActionInput</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#aa4c2a4c38cb5b658361178b7d43a8c02">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#aa4c2a4c38cb5b658361178b7d43a8c02">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        Headtorch_ColorBase headtorch;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        headtorch = Headtorch_ColorBase.Cast(target.GetObject());</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> ( !headtorch )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( headtorch.HasEnergyManager() &amp;&amp; headtorch.GetCompEM().CanSwitchOff() ) <span class="comment">//TODO review conditions for turning off</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d3/d0d/class_action_turn_off_headtorch.html#aa64e128c993ac1f795c35eb6b2655333">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d0d/class_action_turn_off_headtorch.html#aa64e128c993ac1f795c35eb6b2655333">Start</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        super.Start( action_data );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        Headtorch_ColorBase headtorch;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        headtorch = Headtorch_ColorBase.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject());</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> ( headtorch.HasEnergyManager() )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">if</span> ( headtorch.GetCompEM().IsSwitchedOn() )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                headtorch.GetCompEM().SwitchOff();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a9e29a236902beb34a65218c0aa3debdb"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a9e29a236902beb34a65218c0aa3debdb">ActionBase</a></div><div class="ttdeci">void ActionBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00073">ActionBase.c:73</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html">ActionTurnOffHeadtorch</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00001">ActionTurnOffHeadtorch.c:2</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_a0d55eae0c5443ccde6b8113ef0e9819a"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#a0d55eae0c5443ccde6b8113ef0e9819a">ActionTurnOffHeadtorch::ActionTurnOffHeadtorch</a></div><div class="ttdeci">void ActionTurnOffHeadtorch()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00003">ActionTurnOffHeadtorch.c:3</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_a1188419167f21e4a5bff21d25040e22a"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#a1188419167f21e4a5bff21d25040e22a">ActionTurnOffHeadtorch::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00012">ActionTurnOffHeadtorch.c:12</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_a79b853fede0ed983f5790ddd58fa9fc5"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#a79b853fede0ed983f5790ddd58fa9fc5">ActionTurnOffHeadtorch::UseMainItem</a></div><div class="ttdeci">override bool UseMainItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00017">ActionTurnOffHeadtorch.c:17</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_a880b9baaffe6c4220db1a320a4f38b71"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#a880b9baaffe6c4220db1a320a4f38b71">ActionTurnOffHeadtorch::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00028">ActionTurnOffHeadtorch.c:28</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_aa4c2a4c38cb5b658361178b7d43a8c02"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#aa4c2a4c38cb5b658361178b7d43a8c02">ActionTurnOffHeadtorch::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00033">ActionTurnOffHeadtorch.c:33</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_aa64e128c993ac1f795c35eb6b2655333"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#aa64e128c993ac1f795c35eb6b2655333">ActionTurnOffHeadtorch::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00048">ActionTurnOffHeadtorch.c:48</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_af936db1960a4c0c5bb2168427294b158"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#af936db1960a4c0c5bb2168427294b158">ActionTurnOffHeadtorch::IsInstant</a></div><div class="ttdeci">override bool IsInstant()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00007">ActionTurnOffHeadtorch.c:7</a></div></div>
<div class="ttc" id="aclass_action_turn_off_headtorch_html_afb7413562d1462a74b9edadf27086074"><div class="ttname"><a href="../../d3/d0d/class_action_turn_off_headtorch.html#afb7413562d1462a74b9edadf27086074">ActionTurnOffHeadtorch::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d39/_action_turn_off_headtorch_8c_source.html#l00022">ActionTurnOffHeadtorch.c:22</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_non_ruined_html"><div class="ttname"><a href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/da0/_c_c_t_non_ruined_8c_source.html#l00001">CCTNonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_toggle_lights_action_input_html"><div class="ttname"><a href="../../d0/df8/class_toggle_lights_action_input.html">ToggleLightsActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00746">ActionInput.c:747</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d1/d39/_action_turn_off_headtorch_8c.html">ActionTurnOffHeadtorch.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
